<?php
/*************************************************
	AUTO EMAIL INACTIVE ORDINARY USERS
			v1.6 By Karl Benson
**************************************************
			INSTALL.PHP
**************************************************/

// Manual install? Try to use SSI
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Define each column for the mod and the query to add it
$newcolumns = array();
$newcolumns['aeiou_email'] = "	ALTER IGNORE TABLE {$db_prefix}members
									ADD aeiou_email varchar(10) NOT NULL default '0'
									AFTER location";
$newcolumns['aeiou_count'] = "	ALTER IGNORE TABLE {$db_prefix}members
									ADD aeiou_count smallint(1) NOT NULL default '0'
									AFTER location";
									
foreach($newcolumns as $col => $column)
{
	// Check if each column has previously been installed?
	$result = db_query("SHOW COLUMNS FROM {$db_prefix}members LIKE '".$col."'", __FILE__, __LINE__);
	if(mysql_num_rows($result) == 0)
		db_query($column, __FILE__, __LINE__);
}
// Tidy up
unset($newcolumns, $column, $col, $result);

// Define each setting to be added
$newSetting['aeiou_enable'] = 0 ;			// Enable mod (disabled by default so you can customize)
$newSetting['aeiou_locktimestamp'] = 0 ;	// Timestamp lock
$newSetting['aeiou_hour_max'] = 50 ;		// Max emails per hour (to keep registrations, notifications, emails going through) based on a server limit of 100 per hour.
$newSetting['aeiou_day_max'] = 500 ;		// Max emails sent in an day at which to disable this mod (to keep registrations, notifications, emails going through), based on a server limit of 1000 per day
$newSetting['aeiou_hour_sent'] = 0 ;		// Sent this hour (all emails)
$newSetting['aeiou_day_sent'] = 0 ;			// Sent this day (all emails)
$newSetting['aeiou_chunksize'] = 4 ;		// The no. of emails to send at a time (reduce to increase performance)
$newSetting['aeiou_delete'] = 0 ;			// (Optional, delete inactive users after 30 days after the 3rd email was sent)
$newSetting['aeiou_underposts'] = 0 ;		// (Optional, choose to delete only those under a post count threshold)
$newSetting['aeiou_initial_subject'] = '' ;	// To store a custom initial subject message for the email, if blank revert to use default txt string
$newSetting['aeiou_initial_message'] = '' ;	// To store a custom initial message, if blank revert to use default txt string
$newSetting['aeiou_final_subject'] = '' ;	// To store a custom final subject message for the email, if blank revert to use default txt string
$newSetting['aeiou_final_message'] = '' ;	// To store a custom final message, if blank revert to use default txt string
$newSetting['aeiou_stop'] = 0 ;				// Set to 1 to stop it sending emails until tomorrow (but it still checks for users to delete, and returning users)

// Cycle through array adding each new setting - if already exists, ignore
foreach ($newSetting as $key => $value)
{
	db_query("
		INSERT IGNORE
		INTO {$db_prefix}settings (`variable`, `value`)
		VALUES ('$key', '$value')
	", __FILE__, __LINE__);
}

// Tidy up
unset($newSetting, $key, $value);

// Delete the old values used by pre-1.4 versions
db_query("
	DELETE
	FROM {$db_prefix}settings
	WHERE variable = 'aeiou_message'
		OR variable = 'aeiou_subject'
		OR variable = 'aeiou_lockkey'
", __FILE__, __LINE__);

// If we're using SSI, tell them we're done
if(SMF == 'SSI')
	echo 'Database changes are complete!';

?>